ImagickDraw::comment
ImagickDraw::__construct
ImagickDraw
PHP Manual

# ImagickDraw::composite

Composites an image onto the current image

### Description

bool ImagickDraw::composite ( int `$compose` , float `$x` , float `$y` , float `$width` , float `$height` , Imagick `$compositeWand` )
Warning

This function is currently not documented; only its argument list is available.

Composites an image onto the current image, using the specified composition operator, specified position, and at the specified size.

### Parameters

`compose`

  composition operator. One of COMPOSITE_ constants

`x`

  x coordinate of the top left corner

`y`

  y coordinate of the top left corner

`width`

  width of the composition image

`height`

  height of the composition image

`compositeWand`

  the Imagick object where composition image is taken from

### Return Values

Returns `TRUE` on success.